/*
 * Created on Apr 21, 2006
 */
package com.simutronics.eclipsefe;

import org.eclipse.swt.events.PaintEvent;
import org.eclipse.swt.events.PaintListener;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.widgets.Label;

/**
 * @author Adam Vartanian
 */
public class RoundtimePaintListener implements PaintListener {

	public void paintControl(PaintEvent e) {
		Label l = (Label) e.widget;
		int blocks = (Integer) l.getData("roundtime");
		System.out.println("roundtime of " + blocks + "!");
		if (blocks < 1) {
			return;
		}
		GC gc = e.gc;
		Color bg = gc.getBackground();
		gc.setBackground((Color) l.getData("color"));
		int offset = l.getBorderWidth();
		int width = 10;
		int mid_distance = 2;
		int height = l.getSize().y - l.getBorderWidth() * 2 - 4;
		while (blocks > 0) {
			//System.out.println("Offset " + offset + " width " + width + " blocks " + blocks);
			gc.fillRectangle(offset, l.getBorderWidth(), width, height);
			offset += width + mid_distance;
			blocks--;
		}
		gc.setBackground(bg);
		gc.drawString(l.getText(), l.getBorderWidth(), l.getBorderWidth(), true);
	}

}
