/*
 * Created on Apr 23, 2006
 */
package com.simutronics.eclipsefe;

import org.eclipse.swt.events.DisposeEvent;
import org.eclipse.swt.events.DisposeListener;
import org.eclipse.swt.graphics.Font;

/**
 * @author Adam Vartanian
 */
public class FontDisposer implements DisposeListener {

	private Font f;
	
	public FontDisposer(Font f) {
		this.f = f;
	}
	
	public void widgetDisposed(DisposeEvent e) {
		if (!f.isDisposed()) {
			f.dispose();
		}
	}

}
