/*
 * Created on Jan 29, 2006
 */
package com.simutronics.eclipsefe;

import org.eclipse.swt.events.PaintEvent;
import org.eclipse.swt.events.PaintListener;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.GC;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Label;

/**
 * @author Adam Vartanian
 */
public class StatusLabelPainter implements PaintListener {

	public void paintControl(PaintEvent e) {
		GC gc = e.gc;
		Label l = (Label) e.widget;
		double filled = (Double) l.getData("percent");
		int width = l.getSize().x - 2 * l.getBorderWidth();
		int height = l.getSize().y - 2 * l.getBorderWidth();
		int endpoint = (int) (filled * width);
//		System.out.println("Width " + e.width + " and height " + e.height + " ep is " + endpoint);
//		System.out.println("X is " + e.x + " y is " + e.y);
//		System.out.println("l.loc " + l.getLocation().x + " " + l.getLocation().y);
//		System.out.println("l.size " + l.getSize().x + " " + l.getSize().y);
		Color bg = gc.getBackground();
		gc.setBackground((Color) l.getData("color"));
		gc.fillRectangle(l.getBorderWidth(), l.getBorderWidth(), endpoint, height);
		gc.setBackground(bg);
		Point p = gc.stringExtent(l.getText());
		p.x = (width - p.x) / 2;
		p.y = (height - 1 - p.y) / 2;
		gc.drawString(l.getText(), p.x, p.y, true);
	}

}
