/*
 * Created on Feb 7, 2006
 */
package com.simutronics.eclipsefe;

import java.util.List;

import org.eclipse.swt.custom.StyleRange;

class TextAdderRunnable implements Runnable {
	private String targetwindow;
	private String text;
	private FEView window;
	private List<StyleRange> styles = null;
	private boolean prefix;
	
	public TextAdderRunnable(String tw, String s, FEView w, boolean p) {
		this(tw, s, null, w, p);
	}
	
	public TextAdderRunnable(String tw, String s, List<StyleRange> l, FEView w, boolean p) {
		targetwindow = tw;
		text = s;
		window = w;
		styles = l;
		prefix = p;
	}
	
	public void run() {
		if (styles != null) {
			window.appendText(targetwindow, text, styles, prefix);
		} else {
			window.appendText(targetwindow, text, prefix);
		}
	}
}