/*
 * Created on Oct 13, 2005
 */
package com.simutronics.eclipsefe.extensions;

import java.util.List;

import org.eclipse.core.runtime.IExecutableExtension;
import org.eclipse.swt.custom.StyleRange;

import com.simutronics.eclipsefe.FEView;

/**
 * @author Adam Vartanian
 */
public interface IInputProcessor extends IExecutableExtension {
	
	public String processRawString(String string, FEView window);
	
	public String processParsedString(String string, String stream, List<StyleRange> styles, FEView window);

}
